summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorPriyesh Kumar <priyeshkkumar@gmail.com>2020-08-26 12:27:52 +0530
committerWerner Lemberg <wl@gnu.org>2020-12-01 09:20:32 +0100
commit34b1c897c109d853fcae123f11a4bc756a5eca2f (patch)
tree366ad3a5d933e45e8231b4d910883f82889ae89a /autogen.sh
parent8da4b437b4f784e9822e260cab5ecf1a0273469c (diff)
downloadfreetype2-34b1c897c109d853fcae123f11a4bc756a5eca2f.tar.gz
[builds] Necessary changes to make 'dlg' compile.
* autogen.sh (copy_submodule_files): New script to copy all the necessary source and include files from `submodules/dlg` to `src/dlg`. * src/dlg/dlgwrap.c: New wrapper file for `src/dlg.c`. It enables the build of 'dlg' if the `FT_LOGGING` macro is defined. * src/dlg/rules.mk: New sub-Makefile. * builds/freetype.mk (DLG_DIR): New variable to include the header files of the 'dlg' library. (INCLUDES): Add `DLG_DIR`. (FT_CFLAGS): Add `-std=c99' flag. Include `src/dlg/rules.mk` file to build 'dlg' library. (OBJ_S, OBJ_M): Add `DLG_OBJS_M` and `DLG_OBJS_S`. * builds/toplevel.mk: For builds directly from the git repository we need to copy files from `submodule/dlg` to `src/dlg`. * include/freetype/config/ftoption.h, devel/ftoption.h (FT_LOGGING): New macro to enable or disable the logging facility in FreeType.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index 79c4e4e16..560804088 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -162,4 +162,25 @@ cd ../..
chmod +x ./configure
+# Copy all necessary 'dlg' files.
+copy_submodule_files ()
+{
+ echo "Copying files from \`submodules/dlg' to \`src/dlg'"
+ mkdir src/dlg/dlg
+ cp $DLG_INC_DIR/dlg.h src/dlg/dlg
+ cp $DLG_INC_DIR/output.h src/dlg/dlg
+ cp $DLG_SRC_DIR/* src/dlg
+}
+
+DLG_INC_DIR=submodules/dlg/include/dlg
+DLG_SRC_DIR=submodules/dlg/src/dlg
+
+if ! test -d "$DLG_INC_DIR"; then
+ echo "Checking out submodule in \`submodules/dlg':"
+ git submodule init
+ git submodule update
+fi
+
+copy_submodule_files
+
# EOF